%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test-Manifest
Version:       2.025
Release:       1mamba
Summary:       Test :: Manifest - Interact with a t/test_manifest
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/modules/by-module/Test/Test-Manifest-%{version}.tar.gz
License:       Artistic
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver
BuildArch:     noarch

%description
MakeMaker assumes that you want to run all of the .t files in the t/ directory in ascii-betical order during C<make test> unless you say otherwise.
This leads to some interesting naming schemes for test files to get them in the desired order.

%prep
%setup -q -n Test-Manifest-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sat Jan 04 2025 Automatic Build System <autodist@openmamba.org> 2.025-1mamba
- automatic version update by autodist

* Tue Jan 09 2024 Automatic Build System <autodist@openmamba.org> 2.024-1mamba
- automatic version update by autodist

* Sun Jan 09 2022 Automatic Build System <autodist@mambasoft.it> 2.023-1mamba
- automatic version update by autodist

* Tue Jan 19 2021 Automatic Build System <autodist@mambasoft.it> 2.022-1mamba
- automatic update by autodist

* Mon Sep 17 2018 Automatic Build System <autodist@mambasoft.it> 2.021-1mamba
- automatic update by autodist

* Tue Aug 26 2014 Automatic Build System <autodist@mambasoft.it> 2.02-1mamba
- automatic update by autodist

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.23-2mamba
- perl 5.16 mass rebuild

* Tue Jul 21 2009 Automatic Build System <autodist@mambasoft.it> 1.23-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.22-2mamba
- automatic rebuild by autodist

* Thu Nov 29 2007 Aleph0 <aleph0@openmamba.org> 1.22-1mamba
- update to 1.22

* Tue Oct 26 2004 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.11-1qilnx
- package created by autospec
